import { h } from '@stencil/core';
import { Business, WidgetStyle } from '../../../types';
export class MyComponent {
  constructor() {
    this.id = undefined;
    this.widgetStyle = WidgetStyle.standard;
    this.buttonColor = undefined;
    this.buttonBg = undefined;
    this.slug = undefined;
  }
  render() {
    return (h("hemfixarna-component", { slug: this.slug, id: this.id, business: Business.byggmax, widgetStyle: this.widgetStyle, buttonBg: this.buttonBg, buttonColor: this.buttonColor }));
  }
  static get is() { return "hemfixarna-byggmax"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["hemfixarna-byggmax.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["hemfixarna-byggmax.css"]
    };
  }
  static get properties() {
    return {
      "id": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "id",
        "reflect": false
      },
      "widgetStyle": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "WidgetStyle",
          "resolved": "WidgetStyle.alternative | WidgetStyle.alternative_2 | WidgetStyle.alternative_3 | WidgetStyle.standard",
          "references": {
            "WidgetStyle": {
              "location": "import",
              "path": "../../../types"
            }
          }
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "widget-style",
        "reflect": false,
        "defaultValue": "WidgetStyle.standard"
      },
      "buttonColor": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "button-color",
        "reflect": false
      },
      "buttonBg": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "button-bg",
        "reflect": false
      },
      "slug": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "slug",
        "reflect": false
      }
    };
  }
}
//# sourceMappingURL=hemfixarna-byggmax.js.map
