import { Fragment, h } from '@stencil/core';
import state from '../../store';
import { getProductPrice } from '../../utils/calc';
import { scrollToTop } from '../../utils/scroll';
import { isProduct } from '../../utils/types';
export class HemfixarnaBox {
  constructor() {
    this.post = undefined;
    this.category = undefined;
    this.icon = undefined;
    this.postTitle = undefined;
  }
  setTaxonomy(taxonomy) {
    if (taxonomy) {
      if ((taxonomy === null || taxonomy === void 0 ? void 0 : taxonomy.taxonomy) === 'service_cat') {
        state.selectedCategory = taxonomy;
        state.step = 2;
      }
      else if ((taxonomy === null || taxonomy === void 0 ? void 0 : taxonomy.post_type) === 'service') {
        state.selectedService = taxonomy;
        state.step = 3;
      }
      else if ((taxonomy === null || taxonomy === void 0 ? void 0 : taxonomy.post_type) === 'ikea_product') {
        state.selectedProduct = taxonomy;
        state.step = 4;
      }
      const el = this.el.closest('.hemfixarna_content');
      scrollToTop(el);
    }
  }
  setProduct() {
    state.selectedProduct = this.category;
    state.step = 4;
    state.selectedCustomerCategory = null;
    const el = this.el.closest('.hemfixarna_content');
    scrollToTop(el);
  }
  render() {
    return this.category ? (h(Fragment, null, isProduct(this.category) ? (h("li", { onClick: () => this.setProduct() }, h("img", { class: "hemfixarna_logo", height: 82, src: this.category.icon, alt: this.category.post_name }), h("div", null, h("p", null, this.category.title), !this.category.invoice ? h("p", { class: "price" }, "Fr\u00E5n ", getProductPrice(this.category), "kr") : null))) : (h("li", { onClick: () => (state.selectedCustomerCategory = this.category) }, h("img", { class: "hemfixarna_logo", height: 82, src: this.category.icon, alt: this.category.name }), h("div", null, h("p", null, this.category.name)))))) : (h("li", { onClick: () => this.setTaxonomy(this.post) }, this.post.icon && h("img", { class: "hemfixarna_logo", height: 82, src: this.icon, alt: this.postTitle }), h("div", null, h("p", null, this.postTitle), state.step === 3 && h("p", { class: "price" }, "Fr\u00E5n ", getProductPrice(this.post), "kr"))));
  }
  static get is() { return "hemfixarna-box"; }
  static get properties() {
    return {
      "post": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "Category | Product | Service",
          "resolved": "Category | Product | Service",
          "references": {
            "Category": {
              "location": "import",
              "path": "../../types"
            },
            "Product": {
              "location": "import",
              "path": "../../types"
            },
            "Service": {
              "location": "import",
              "path": "../../types"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        }
      },
      "category": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "CustomerCategory | CustomerSubCategory | Product",
          "resolved": "CustomerCategory | CustomerSubCategory | Product",
          "references": {
            "CustomerCategory": {
              "location": "import",
              "path": "../../types"
            },
            "CustomerSubCategory": {
              "location": "import",
              "path": "../../types"
            },
            "Product": {
              "location": "import",
              "path": "../../types"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        }
      },
      "icon": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "icon",
        "reflect": false
      },
      "postTitle": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "post-title",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "el"; }
}
//# sourceMappingURL=hemfixarna-box.js.map
