import { getAssetPath, h } from '@stencil/core';
import state from '../../store';
import { scrollToTop } from '../../utils/scroll';
export class HemfixarnaBreadcrumbs {
  constructor() {
    this.triggerScrollTotop = () => {
      const el = this.el.nextSibling;
      scrollToTop(el);
    };
    this.closeModal = undefined;
  }
  getCartLength() {
    return state.cart.reduce((acc, curr) => acc + curr.amount, 0);
  }
  handleCartClick() {
    var _a;
    if ((_a = state.cart) === null || _a === void 0 ? void 0 : _a.length) {
      state.step = 5;
      this.triggerScrollTotop();
    }
  }
  handleHomePageClick() {
    state.step = 1;
    state.parentCategory = null;
    state.selectedCustomerCategory = null;
    this.triggerScrollTotop();
    setTimeout(() => {
      state.selectedCategory = null;
      state.selectedProduct = null;
      state.maleri = null;
      state.selectedService = null;
    }, 200);
  }
  render() {
    const logo = getAssetPath(`./assets/hemfixarna.svg`);
    const close = getAssetPath(`./assets/close.svg`);
    const cart = getAssetPath(`./assets/cart.svg`);
    const back = getAssetPath(`./assets/back.svg`);
    return (h("div", null, h("div", { class: "hemfixarna_crumbs" }, h("div", { class: "hemfixarna_crumbs--links" }, h("img", { onClick: () => this.handleHomePageClick(), src: logo, width: 110 }), h("img", { onClick: () => this.closeModal(), class: "close", src: close, width: 32 }), h("div", null, h("button", { onClick: () => this.handleHomePageClick() }, "Alla tj\u00E4nster"))), h("div", { class: "hemfixarna_crumbs--right" }, h("hemfixarna-contact", null), h("div", { onClick: () => this.handleCartClick(), class: `cart ${this.getCartLength() > 0 ? 'cart_active' : ''}` }, h("img", { src: cart, width: 24 }), h("span", null, this.getCartLength())))), [3, 4].includes(state.step) && !state.customer && (h("button", { class: "hemfixarna_crumbs--back", onClick: () => {
        state.step = state.step === 4 ? 3 : 2;
      } }, h("img", { width: 24, src: back, alt: "back arrow" }), h("span", null, "Se allt ", state.step === 4 ? state.selectedService.post_title : state.selectedCategory.name))), !state.parentCategory && state.step && state.selectedCustomerCategory && (h("button", { class: "hemfixarna_crumbs--back", onClick: () => {
        state.step = 1;
        state.selectedCustomerCategory = null;
        state.selectedProduct = null;
        state.maleri = null;
      } }, h("img", { width: 24, src: back, alt: "back arrow" }), h("span", null, "Se alla tj\u00E4nster"))), state.parentCategory && state.step < 5 && (h("button", { class: "hemfixarna_crumbs--back", onClick: () => {
        state.step = 1;
        state.selectedCustomerCategory = state.parentCategory;
        state.selectedProduct = null;
        state.maleri = null;
      } }, h("img", { width: 24, src: back, alt: "back arrow" }), h("span", null, "Se allt ", state.parentCategory.name)))));
  }
  static get is() { return "hemfixarna-breadcrumbs"; }
  static get properties() {
    return {
      "closeModal": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "() => void",
          "resolved": "() => void",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        }
      }
    };
  }
  static get elementRef() { return "el"; }
}
//# sourceMappingURL=hemfixarna-breadcrumbs.js.map
