import { createStore } from '@stencil/store';
const { state, onChange, } = createStore({
  step: 1,
  checkoutStep: 1,
  checkoutEdit: false,
  selectedCategory: null,
  selectedService: null,
  selectedProduct: null,
  cart: [],
  business: 'undefined',
  options: null,
  rut: true,
  rot: true,
  green: true,
  token: null,
  user: null,
  modal: null,
  rutOptions: null,
  rotOptions: null,
  greenOptions: null,
  customer: null,
  selectedCustomerCategory: null,
  parentCategory: null,
  creditSafeUser: null,
  checkoutInvoice: false,
  maleri: false,
  sources: null,
  selectSource: false,
  showSourcePasswordPrompt: false,
});
onChange('cart', cart => {
  window.sessionStorage.setItem(`hemfixarna-${state.business}-cart`, JSON.stringify(cart));
});
onChange('user', user => {
  window.sessionStorage.setItem(`hemfixarna-${state.business}-user`, JSON.stringify(user));
});
onChange('creditSafeUser', user => {
  window.sessionStorage.setItem(`hemfixarna-${state.business}-creditSafeUser`, JSON.stringify(user));
});
onChange('selectSource', selectSource => {
  if (selectSource) {
    localStorage.setItem('select_source', 'true');
  }
});
onChange('selectedProduct', product => {
  if (!state.customer || !product)
    return;
  const categories = [...state.customer.categories, ...state.customer.categories.map(c => { var _a; return (_a = c.sub_categories) !== null && _a !== void 0 ? _a : []; })].flat();
  const category = categories.find(c => c && c.id === product.category);
  if (category) {
    state.parentCategory = category;
    return;
  }
  state.parentCategory = null;
});
onChange('selectedCustomerCategory', category => {
  if (!state.customer || !category)
    return;
  if (category.parent) {
    const parent = state.customer.categories.find(c => c.id === category.parent);
    if (parent) {
      state.parentCategory = parent;
      return;
    }
  }
  state.parentCategory = null;
});
export default state;
//# sourceMappingURL=index.js.map
