import axios from 'axios';
import { Buffer } from 'buffer';
import state from '../store';
const baseURL = process.env.FELIX_URL || 'https://stage.hemfixare.se/fmi/data/v1/databases/Hemfix_web/sessions';
// @ts-ignore
window.Buffer = Buffer;
let client;
async function initializeFelix() {
  var _a;
  const auth = Buffer.from('CustomWebForm:aFMZ4iJzoaEBcwskBDxqb4Pb').toString('base64');
  const res = await apiCall('sessions', 'POST', null, auth);
  return ((_a = res === null || res === void 0 ? void 0 : res.response) === null || _a === void 0 ? void 0 : _a.token) || null;
}
async function apiCall(endpoint, method, data, basic = false) {
  var _a, _b;
  if (!client) {
    client = axios.create({
      baseURL,
      validateStatus: () => true,
    });
  }
  const headers = {
    'Content-Type': 'application/json',
    'Authorization': basic ? `Basic ${basic}` : `Bearer ${state.token ? state.token : ''}`,
    // 'Access-Control-Allow-Origin': 'stage.hemfixare.se',
  };
  const config = {
    method,
    url: endpoint,
    headers,
    data,
  };
  try {
    const response = await client.request(config);
    return {
      response: response.data,
    };
  }
  catch (error) {
    return {
      error: (_a = error.response) === null || _a === void 0 ? void 0 : _a.status,
      message: ((_b = error.response) === null || _b === void 0 ? void 0 : _b.data) || error.message,
    };
  }
}
async function sendPerson(data) {
  var _a, _b;
  // Implement the logic for sending a person
  const endpoint = 'layouts/pa.Passage/records';
  const method = 'POST';
  const fieldData = {
    // ... Initialize fieldData object with data
    Pa01_FirstName: 'change',
    Pa02_LastName: 'change',
    Pa03_Address1: 'change',
    Pa04_Address2: 'change',
    Pa05_Zipcode: 'change',
    Pa06_City: 'change',
    Pa07_State: 'change',
    Pa08_Country: 'change',
    Pa11_StatusExternal: 'change',
    Pa12_PersonalNo: 'change',
    Pa20_Email: 'change',
    Pa30_Phone: 'change',
    Pa50_Type: 'change',
    Pa51_Notes: 'change',
    Pa041_AssignmentAddress: 'change',
    Pa042_AssignmentZipCode: 'change',
    Pa043_AssignmentCity: 'change',
  };
  const portalData = {
    Parameter: [
    // ... Initialize portalData array with data
    ],
  };
  // If products are present in data
  if (data.products && Array.isArray(data.products)) {
    // ... Process products and add them to portalData
  }
  const requestData = {
    fieldData,
    portalData,
  };
  const res = await apiCall(endpoint, method, requestData);
  if ((_a = res === null || res === void 0 ? void 0 : res.response) === null || _a === void 0 ? void 0 : _a.recordId) {
    // ... Process recordId
  }
  return ((_b = res === null || res === void 0 ? void 0 : res.response) === null || _b === void 0 ? void 0 : _b.recordId) || false;
}
async function checkPerson(ssn, url) {
  var _a;
  // Implement the logic for checking a person
  const endpoint = 'layouts/pa.Passage/records';
  const method = 'POST';
  const data = {
    'fieldData': {
      Pa50_Type: url,
    },
    'script': 'pa.pub.PassageCheckPerson',
    'script.param': ssn,
  };
  const res = await apiCall(endpoint, method, data);
  return ((_a = res === null || res === void 0 ? void 0 : res.response) === null || _a === void 0 ? void 0 : _a.recordId) || null;
}
async function getPersonData(id) {
  var _a;
  // Implement the logic for getting person data
  const endpoint = `layouts/pa.PassageGetData/records/${id}`;
  const method = 'GET';
  const res = await apiCall(endpoint, method);
  return ((_a = res === null || res === void 0 ? void 0 : res.response) === null || _a === void 0 ? void 0 : _a.data) || null;
}
async function updatePerson(data, id) {
  var _a;
  // Implement the logic for updating a person
  const endpoint = `layouts/pa.Passage/records/${id}`;
  const method = 'PATCH';
  const fieldData = {
    // ... Initialize fieldData object with data
    Pa01_FirstName: 'change',
    Pa02_LastName: 'change',
    Pa03_Address1: 'change',
    Pa04_Address2: 'change',
    Pa05_Zipcode: 'change',
    Pa06_City: 'change',
    Pa07_State: 'change',
    Pa08_Country: 'change',
    Pa11_StatusExternal: 'change',
    Pa12_PersonalNo: 'change',
    Pa20_Email: 'change',
    Pa30_Phone: 'change',
    Pa50_Type: 'change',
    Pa51_Notes: 'change',
    Pa041_AssignmentAddress: 'change',
    Pa042_AssignmentZipCode: 'change',
    Pa043_AssignmentCity: 'change',
  };
  const portalData = {
    Parameter: [
    // ... Initialize portalData array with data
    ],
  };
  // If products are present in data
  if (data.products && Array.isArray(data.products)) {
    // ... Process products and add them to portalData
  }
  // If serviceArr is present in data
  if (data.serviceArr && Array.isArray(data.serviceArr) && !((_a = data.products) === null || _a === void 0 ? void 0 : _a.length)) {
    // ... Process serviceArr and add them to portalData
  }
  // If recievedChanged is "true" in data
  if (data.recievedChanged) {
    // ... Add assignment data to fieldData
  }
  const requestData = {
    fieldData,
    portalData,
  };
  const res = await apiCall(endpoint, method, requestData);
  if ((res === null || res === void 0 ? void 0 : res.message) === 'OK') {
    // ... Process response
    return id;
  }
  return false;
}
async function findPricing(data) {
  // Implement the logic for finding pricing
  const endpoint = 'layouts/pa.PassagePricing/_find';
  const method = 'POST';
  const query = {
    query: [
      {
        As014_WebFormType_c: data,
      },
    ],
  };
  const res = await apiCall(endpoint, method, query);
  return res;
}
async function processPassageRecords(data) {
  // Implement the logic for processing passage records
  const endpoint = `layouts/pa.Passage/script/pa.pub.ProcessCustomWebForm?script.param=${data}`;
  const method = 'GET';
  const res = await apiCall(endpoint, method);
  return res;
}
export { checkPerson, findPricing, getPersonData, initializeFelix, processPassageRecords, sendPerson, updatePerson };
//# sourceMappingURL=felixFunctions.js.map
