import { RotOptions, RutOptions, WpOptions } from '../types';
import { FelixOrder } from './felixApi';
export declare function fetchWithType<T>(request: RequestInfo, options?: RequestInit): Promise<T>;
declare const getTaxonomy: (endpoint: string) => Promise<any>;
declare const getCustomer: (slug: string) => Promise<any>;
declare const loginCustomer: ({ id, password }: {
  id: number;
  password: string;
}) => Promise<number>;
declare const getOptions: () => Promise<WpOptions>;
declare const getRut: () => Promise<RutOptions>;
declare const getRot: () => Promise<RotOptions>;
declare const getGreenDiscount: () => Promise<any>;
declare const postOrder: (data: FelixOrder) => Promise<{
  message: string;
  post_id: number;
  data: FelixOrder;
  status?: number;
}>;
export { getCustomer, getGreenDiscount, getOptions, getRot, getRut, getTaxonomy, loginCustomer, postOrder };
