import { CartItem, CartPart, Part, Product } from '../types';
declare const getRutPrice: (price: number) => number;
declare const getRotPrice: (price: number) => number;
declare const getGreenPrice: (price: number) => number;
declare const getRutStartFee: () => number;
declare const getRotStartFee: () => number;
declare const getProductPrice: (product: Product | CartItem, price?: number, amount?: number) => number;
declare const getProductPriceWithRotAndRut: (product: Product) => number;
declare const getPartPrice: (part: Part | CartPart, product: Product | CartItem, amount?: number) => number;
declare const groupCartItemsByStartFee: (cart: CartItem[]) => Record<string, CartItem[]>;
declare const calculateStartFee: (cart?: CartItem[]) => {
  rut: number;
  rot: number;
  green: number;
  default: number;
  length: number;
};
declare const getStartFee: () => {
  rut: number;
  rot: number;
  green: number;
  length?: undefined;
} | {
  rut: number;
  rot: number;
  green: number;
  length: number;
};
declare const getItemPrice: (item: CartItem) => number;
declare const calculateRot: () => number;
declare const calculateGreenDiscount: () => number;
declare const calculateRut: () => number;
declare const getTotalPrice: () => number;
export { calculateGreenDiscount, calculateRot, calculateRut, getGreenPrice, getItemPrice, getPartPrice, getProductPrice, getProductPriceWithRotAndRut, getRotPrice, getRotStartFee, getRutPrice, getRutStartFee, getStartFee, getTotalPrice, groupCartItemsByStartFee, calculateStartFee };
