interface FelixOrder {
  firstName: string;
  lastName: string;
  street: string;
  zip: string;
  town: string;
  ssn: string;
  email: string;
  phone: string;
  url: string;
  date: string;
  notes?: string;
  wws?: string;
  referral_id?: string;
  id_source?: string;
  id_sub_source?: string;
  products: {
    id: string;
    name: string;
    quantity: number;
    rut: number;
    rot: number;
  }[];
  start_fees: {
    ID: number;
    price: number;
    rut: number;
    rot: number;
    green: number;
  }[];
  creditSafe: {
    firstName: string;
    lastName: string;
    street: string;
    zip: string;
    town: string;
  };
  felixStatus?: 'success' | 'error';
  customer?: string;
  seller_id?: string;
  refferal_id?: string;
}
declare const postPerson: (felixOrder: FelixOrder) => Promise<false | {
  response: {
    scriptResult: string;
    scriptError: string;
  };
  messages: [
    {
      code: string;
      message: string;
    }
  ];
}>;
export { FelixOrder, postPerson };
